Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.util
Interface XKMSURI

public interface XKMSURI

Defined URI string constants for algorithms, namespaces and objects.

The following naming convention is used:

- Algorithm URIs begin with "alg_".
- Namespace URIs begin with "ns_".
- KeyUsage Code URIs begin with "keyUsage_".
- Key Binding Status Code URIs begin with "kbs_".
- Response Mechanism URIs begin with "responseMechanism_".
- RespondWith URIs begin with "respondWith_".
- Pending Notification mechanism URIs begin with "pnm_".
- Result Major Code URIs begin with "result_major_".
- Result Minor Code URIs begin with "result_minor_".
- URIs for common applications begin with "app_".
- Reason Code URIs begin with "reasonCode_".

Field Summary
`static java.lang.String` | `app_HTTPS_TLS` URI identifier for a HTTP over TLS application.
`static java.lang.String` | `app_IPSEC` URI identifier for a IPSEC application.
`static java.lang.String` | `app_PGP` URI identifier for a PGP application.
`static java.lang.String` | `app_PKIX` URI identifier for a PKIX application.
`static java.lang.String` | `app_SMIME` URI identifier for a S/MIME application.
`static java.lang.String` | `app_SMTP_TLS` URI identifier for a SMTP over TLS application.
`static java.lang.String` | `app_TLS` URI identifier for a TLS application.
`static java.lang.String` | `app_XKMS` URI identifier for a XKMS application.
`static java.lang.String` | `app_XKMS_profile` URI identifier for a profile XKMS application.
`static java.lang.String` | `kbs_Indeterminate` Key Binding Status Code of value of Indeterminate.
`static java.lang.String` | `kbs_Invalid` Key Binding Status Code of value of Invalid.
`static java.lang.String` | `kbs_Valid` Key Binding Status Code of value of Valid.
`static java.lang.String` | `keyUsage_Encryption` Key Usage URI for Encryption.
`static java.lang.String` | `keyUsage_Exchange` Key Usage URI for Exchange.
`static java.lang.String` | `keyUsage_Signature` Key Usage URI for Signature.
`static java.lang.String` | `ns_xkms` Namespace URI for the XKMS namespace "http://www.w3.org/2002/03/xkms#".
`static java.lang.String` | `obj_RSAKeyPair`
`static java.lang.String` | `pnm_HTTP` Pending Notification Mechanism protocol URI for HTTP.
`static java.lang.String` | `pnm_HTTP_Identifier` Pending Notification Mechanism identifier for HTTP.
`static java.lang.String` | `pnm_SMTP_Identifier` Pending Notification Mechanism identifier for SMTP.
`static java.lang.String` | `pnm_SMTP_Protocol` Pending Notification Mechanism protocol URI for SMTP.
`static java.lang.String` | `protocol_aysnchronous` Protocol URI for Asynchronous Processing.
`static java.lang.String` | `protocol_compund` Protocol URI for Compound Requests and Responses.
`static java.lang.String` | `protocol_two_phase_request` Protocol URI for Two Phase Request Processing.
`static java.lang.String` | `reasonCode_IssuerTrust` Key Binding Status Reason Code of value of IssuerTrust.
`static java.lang.String` | `reasonCode_RevocationStatus` Key Binding Status Reason Code of value of RevocationStatus.
`static java.lang.String` | `reasonCode_Signature` Key Binding Status Reason Code of value of Signature.
`static java.lang.String` | `reasonCode_ValidityInterval` Key Binding Status Reason Code of value of ValidityInterval.
`static java.lang.String` | `respondWith_KeyName` Respond With URI value of KeyName.
`static java.lang.String` | `respondWith_KeyValue` Respond With URI value of KeyValue.
`static java.lang.String` | `respondWith_PGP` Respond With URI value of PGP.
`static java.lang.String` | `respondWith_PGPWeb` Respond With URI value of PGPWeb.
`static java.lang.String` | `respondWith_PrivateKey` Respond With URI of PrivateKey.
`static java.lang.String` | `respondWith_RetrievalMethod` Respond With URI value of RetrievalMethod.
`static java.lang.String` | `respondWith_SPKI` Respond With URI value of SPKI.
`static java.lang.String` | `respondWith_X509Cert` Respond With URI value of X509Cert.
`static java.lang.String` | `respondWith_X509Chain` Respond With URI value of X509Chain.
`static java.lang.String` | `respondWith_X509CRL` Respond With URI value of X509CRL.
`static java.lang.String` | `responseMechanism_Pending` Response Mechanism URI value of Pending.
`static java.lang.String` | `responseMechanism_Represent` Response Mechanism URI value of Represent.
`static java.lang.String` | `responseMechanism_RequestSignatureValue` Response Mechanism URI value of RequestSignatureValue.
`static java.lang.String` | `result_major_Pending` Result Major Code of value of Pending.
`static java.lang.String` | `result_major_Receiver` Result Major Code of value of Receiver.
`static java.lang.String` | `result_major_Represent` Result Major Code of value of Represent.
`static java.lang.String` | `result_major_Sender` Result Major Code of value of Sender.
`static java.lang.String` | `result_major_Success` Result Major Code of value of Success.
`static java.lang.String` | `result_major_VersionMismatch` Result Major Code of value of VersionMismatch.
`static java.lang.String` | `result_minor_Failure` Result Minor Code of value of Failure.
`static java.lang.String` | `result_minor_Incomplete` Result Minor Code of value of Incomplete.
`static java.lang.String` | `result_minor_MessageNotSupported` Result Minor Code of value of MessageNotSupported.
`static java.lang.String` | `result_minor_NoAuthentication` Result Minor Code of value of NoAuthentication.
`static java.lang.String` | `result_minor_NoMatch` Result Minor Code of value of NoMatch.
`static java.lang.String` | `result_minor_NotSynchronous` Result Minor Code of value of NotSynchronous.
`static java.lang.String` | `result_minor_OptionalElementNotSupported` Result Minor Code value of OptionalElementNotSupported.
`static java.lang.String` | `result_minor_ProofOfPossessionRequired` Result Minor Code value of ProofOfPossessionRequired.
`static java.lang.String` | `result_minor_Refused` Result Minor Code of value of Refused.
`static java.lang.String` | `result_minor_RepresentRequired` Result Minor Code of value of RepresentRequired.
`static java.lang.String` | `result_minor_TimeInstantNotSupported` Result Minor Code value of TimeInstantNotSupported.
`static java.lang.String` | `result_minor_TimeInstantOutOfRange` Result Minor Code value of TimeInstantOutOfRange.
`static java.lang.String` | `result_minor_TooManyResponses` Result Minor Code of value of TooManyResponses.
`static java.lang.String` | `result_minor_UnknownResponseId` Result Minor Code of value of UnknownResponseId.

Field Detail

### ns_xkms

    public static final java.lang.String ns_xkms

  Namespace URI for the XKMS namespace "http://www.w3.org/2002/03/xkms#".
  See Also:
    Constant Field Values

### protocol_aysnchronous

    public static final java.lang.String protocol_aysnchronous

  Protocol URI for Asynchronous Processing.
  See Also:
    Constant Field Values

### protocol_two_phase_request

    public static final java.lang.String protocol_two_phase_request

  Protocol URI for Two Phase Request Processing.
  See Also:
    Constant Field Values

### protocol_compund

    public static final java.lang.String protocol_compund

  Protocol URI for Compound Requests and Responses.
  See Also:
    Constant Field Values

### keyUsage_Encryption

    public static final java.lang.String keyUsage_Encryption

  Key Usage URI for Encryption.
  See Also:
    Constant Field Values

### keyUsage_Signature

    public static final java.lang.String keyUsage_Signature

  Key Usage URI for Signature.
  See Also:
    Constant Field Values

### keyUsage_Exchange

    public static final java.lang.String keyUsage_Exchange

  Key Usage URI for Exchange.
  See Also:
    Constant Field Values

### kbs_Valid

    public static final java.lang.String kbs_Valid

  Key Binding Status Code of value of Valid.
  See Also:
    Constant Field Values

### kbs_Invalid

    public static final java.lang.String kbs_Invalid

  Key Binding Status Code of value of Invalid.
  See Also:
    Constant Field Values

### kbs_Indeterminate

    public static final java.lang.String kbs_Indeterminate

  Key Binding Status Code of value of Indeterminate.
  See Also:
    Constant Field Values

### reasonCode_IssuerTrust

    public static final java.lang.String reasonCode_IssuerTrust

  Key Binding Status Reason Code of value of IssuerTrust.
  See Also:
    Constant Field Values

### reasonCode_RevocationStatus

    public static final java.lang.String reasonCode_RevocationStatus

  Key Binding Status Reason Code of value of RevocationStatus.
  See Also:
    Constant Field Values

### reasonCode_ValidityInterval

    public static final java.lang.String reasonCode_ValidityInterval

  Key Binding Status Reason Code of value of ValidityInterval.
  See Also:
    Constant Field Values

### reasonCode_Signature

    public static final java.lang.String reasonCode_Signature

  Key Binding Status Reason Code of value of Signature.
  See Also:
    Constant Field Values

### responseMechanism_Pending

    public static final java.lang.String responseMechanism_Pending

  Response Mechanism URI value of Pending.
  See Also:
    Constant Field Values

### responseMechanism_Represent

    public static final java.lang.String responseMechanism_Represent

  Response Mechanism URI value of Represent.
  See Also:
    Constant Field Values

### responseMechanism_RequestSignatureValue

    public static final java.lang.String responseMechanism_RequestSignatureValue

  Response Mechanism URI value of RequestSignatureValue.
  See Also:
    Constant Field Values

### respondWith_KeyName

    public static final java.lang.String respondWith_KeyName

  Respond With URI value of KeyName.
  See Also:
    Constant Field Values

### respondWith_KeyValue

    public static final java.lang.String respondWith_KeyValue

  Respond With URI value of KeyValue.
  See Also:
    Constant Field Values

### respondWith_X509Cert

    public static final java.lang.String respondWith_X509Cert

  Respond With URI value of X509Cert.
  See Also:
    Constant Field Values

### respondWith_X509Chain

    public static final java.lang.String respondWith_X509Chain

  Respond With URI value of X509Chain.
  See Also:
    Constant Field Values

### respondWith_X509CRL

    public static final java.lang.String respondWith_X509CRL

  Respond With URI value of X509CRL.
  See Also:
    Constant Field Values

### respondWith_RetrievalMethod

    public static final java.lang.String respondWith_RetrievalMethod

  Respond With URI value of RetrievalMethod.
  See Also:
    Constant Field Values

### respondWith_PGP

    public static final java.lang.String respondWith_PGP

  Respond With URI value of PGP.
  See Also:
    Constant Field Values

### respondWith_PGPWeb

    public static final java.lang.String respondWith_PGPWeb

  Respond With URI value of PGPWeb.
  See Also:
    Constant Field Values

### respondWith_SPKI

    public static final java.lang.String respondWith_SPKI

  Respond With URI value of SPKI.
  See Also:
    Constant Field Values

### respondWith_PrivateKey

    public static final java.lang.String respondWith_PrivateKey

  Respond With URI of PrivateKey.
  See Also:
    Constant Field Values

### pnm_SMTP_Protocol

    public static final java.lang.String pnm_SMTP_Protocol

  Pending Notification Mechanism protocol URI for SMTP.
  See Also:
    Constant Field Values

### pnm_SMTP_Identifier

    public static final java.lang.String pnm_SMTP_Identifier

  Pending Notification Mechanism identifier for SMTP.
  See Also:
    Constant Field Values

### pnm_HTTP

    public static final java.lang.String pnm_HTTP

  Pending Notification Mechanism protocol URI for HTTP.
  See Also:
    Constant Field Values

### pnm_HTTP_Identifier

    public static final java.lang.String pnm_HTTP_Identifier

  Pending Notification Mechanism identifier for HTTP.
  See Also:
    Constant Field Values

### result_major_Success

    public static final java.lang.String result_major_Success

  Result Major Code of value of Success.
  See Also:
    Constant Field Values

### result_major_VersionMismatch

    public static final java.lang.String result_major_VersionMismatch

  Result Major Code of value of VersionMismatch.
  See Also:
    Constant Field Values

### result_major_Sender

    public static final java.lang.String result_major_Sender

  Result Major Code of value of Sender.
  See Also:
    Constant Field Values

### result_major_Receiver

    public static final java.lang.String result_major_Receiver

  Result Major Code of value of Receiver.
  See Also:
    Constant Field Values

### result_major_Represent

    public static final java.lang.String result_major_Represent

  Result Major Code of value of Represent.
  See Also:
    Constant Field Values

### result_major_Pending

    public static final java.lang.String result_major_Pending

  Result Major Code of value of Pending.
  See Also:
    Constant Field Values

### result_minor_NoMatch

    public static final java.lang.String result_minor_NoMatch

  Result Minor Code of value of NoMatch.
  See Also:
    Constant Field Values

### result_minor_TooManyResponses

    public static final java.lang.String result_minor_TooManyResponses

  Result Minor Code of value of TooManyResponses.
  See Also:
    Constant Field Values

### result_minor_Incomplete

    public static final java.lang.String result_minor_Incomplete

  Result Minor Code of value of Incomplete.
  See Also:
    Constant Field Values

### result_minor_Failure

    public static final java.lang.String result_minor_Failure

  Result Minor Code of value of Failure.
  See Also:
    Constant Field Values

### result_minor_Refused

    public static final java.lang.String result_minor_Refused

  Result Minor Code of value of Refused.
  See Also:
    Constant Field Values

### result_minor_NoAuthentication

    public static final java.lang.String result_minor_NoAuthentication

  Result Minor Code of value of NoAuthentication.
  See Also:
    Constant Field Values

### result_minor_MessageNotSupported

    public static final java.lang.String result_minor_MessageNotSupported

  Result Minor Code of value of MessageNotSupported.
  See Also:
    Constant Field Values

### result_minor_UnknownResponseId

    public static final java.lang.String result_minor_UnknownResponseId

  Result Minor Code of value of UnknownResponseId.
  See Also:
    Constant Field Values

### result_minor_RepresentRequired

    public static final java.lang.String result_minor_RepresentRequired

  Result Minor Code of value of RepresentRequired.
  See Also:
    Constant Field Values

### result_minor_NotSynchronous

    public static final java.lang.String result_minor_NotSynchronous

  Result Minor Code of value of NotSynchronous.
  See Also:
    Constant Field Values

### result_minor_ProofOfPossessionRequired

    public static final java.lang.String result_minor_ProofOfPossessionRequired

  Result Minor Code value of ProofOfPossessionRequired.
  See Also:
    Constant Field Values

### result_minor_TimeInstantNotSupported

    public static final java.lang.String result_minor_TimeInstantNotSupported

  Result Minor Code value of TimeInstantNotSupported.
  See Also:
    Constant Field Values

### result_minor_TimeInstantOutOfRange

    public static final java.lang.String result_minor_TimeInstantOutOfRange

  Result Minor Code value of TimeInstantOutOfRange.
  See Also:
    Constant Field Values

### result_minor_OptionalElementNotSupported

    public static final java.lang.String result_minor_OptionalElementNotSupported

  Result Minor Code value of OptionalElementNotSupported.
  See Also:
    Constant Field Values

### app_XKMS

    public static final java.lang.String app_XKMS

  URI identifier for a XKMS application.
  See Also:
    Constant Field Values

### app_XKMS_profile

    public static final java.lang.String app_XKMS_profile

  URI identifier for a profile XKMS application.
  See Also:
    Constant Field Values

### app_SMIME

    public static final java.lang.String app_SMIME

  URI identifier for a S/MIME application.
  See Also:
    Constant Field Values

### app_PGP

    public static final java.lang.String app_PGP

  URI identifier for a PGP application.
  See Also:
    Constant Field Values

### app_TLS

    public static final java.lang.String app_TLS

  URI identifier for a TLS application.
  See Also:
    Constant Field Values

### app_HTTPS_TLS

    public static final java.lang.String app_HTTPS_TLS

  URI identifier for a HTTP over TLS application.
  See Also:
    Constant Field Values

### app_SMTP_TLS

    public static final java.lang.String app_SMTP_TLS

  URI identifier for a SMTP over TLS application.
  See Also:
    Constant Field Values

### app_IPSEC

    public static final java.lang.String app_IPSEC

  URI identifier for a IPSEC application.
  See Also:
    Constant Field Values

### app_PKIX

    public static final java.lang.String app_PKIX

  URI identifier for a PKIX application.
  See Also:
    Constant Field Values

### obj_RSAKeyPair

    public static final java.lang.String obj_RSAKeyPair

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.